Qt ForkAwesome: QtForkAwesome Namespace Reference

Qt ForkAwesome 0.3.2 Library that bundles ForkAwesome for use within Qt applications

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
QtForkAwesome Namespace Reference

Contains classes provided by the QtForkAwesome library. More...

## Classes
class | Renderer
| Allows rendering a QtForkAwesome::Icon (or an arbitrary QChar using an arbitrary font file). More...

## Typedefs
using | IconBaseType = std::remove_reference_t<decltype(QChar().unicode())>

## Enumerations
enum class | Icon : IconBaseType { Invalid }
| The Icon enum specifies a ForkAwesome icon for use with QtForkAwesome::Renderer::render(). More...

## Functions
constexpr bool | isIconValid (Icon icon)
| Returns whether icon is not Icon::Invalid.
QT_FORK_AWESOME_EXPORT Icon | iconFromId (const QString &id)
| Returns a QtForkAwesome::Icon for the specified icon id.
QT_FORK_AWESOME_EXPORT Icon | iconFromId (QStringView id)
| Returns a QtForkAwesome::Icon for the specified icon id.

## Detailed Description

Contains classes provided by the QtForkAwesome library.

## Typedef Documentation

## ◆ IconBaseType

using QtForkAwesome::IconBaseType = std::remove_reference_t<decltype(QChar().unicode())>

Definition at line 10 of file iconfwd.h.

## Enumeration Type Documentation

## ◆ Icon

enum class QtForkAwesome::Icon : IconBaseType
| strong

The Icon enum specifies a ForkAwesome icon for use with QtForkAwesome::Renderer::render().

Enumerator
Invalid | invalid, used by QtForkAwesome::iconFromId() to indicate failure

Definition at line 11 of file icon.h.

## Function Documentation

## ◆ iconFromId() [1/2]

Icon QtForkAwesome::iconFromId | ( | const QString & | id | ) |

Returns a QtForkAwesome::Icon for the specified icon id.

Parameters

  id | Specifies the icon ID, that's the "name" used on https://forkaweso.me/Fork-Awesome/icons.

Returns
  Returns the QtForkAwesome::Icon which might be QtForkAwesome::Icon::Invalid in case the specified id is unknown.

Definition at line 39 of file utils.cpp.

## ◆ iconFromId() [2/2]

Icon QtForkAwesome::iconFromId | ( | QStringView | id | ) |

Returns a QtForkAwesome::Icon for the specified icon id.

Parameters

  id | Specifies the icon ID, that's the "name" used on https://forkaweso.me/Fork-Awesome/icons.

Returns
  Returns the QtForkAwesome::Icon which might be QtForkAwesome::Icon::Invalid in case the specified id is unknown.

Definition at line 20 of file utils.cpp.

## ◆ isIconValid()

bool QtForkAwesome::isIconValid | ( | Icon | icon | ) |
| constexpr

Returns whether icon is not Icon::Invalid.

Remarks
  Allows one to avoid including icon.h just for this check.

Definition at line 17 of file utils.h.